/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet.vehicle.wizard;

import javax.swing.JPanel;
import org.openide.util.NbBundle;

@NbBundle.Messages({"VehiclePropertiesStepName=Vehicle details"})
final class VehicleVisualPanel2 extends JPanel {

    /**
     * Creates new form VehicleVisualPanel2
     */
    public VehicleVisualPanel2() {
        initComponents();
    }

    @Override
    public String getName() {
        return Bundle.VehiclePropertiesStepName();
    }

    public int getHorsepowerValue() {
        return Integer.parseInt(horsepowerField.getValue().toString());
    }

    public void setHorsepowerValue(Object horsepower) {
        if (horsepower != null) {
            horsepowerField.setValue(horsepower);
        }
    }

    public double getDisplacementValue() {
        return Double.parseDouble(displacementField.getValue().toString());
    }

    public void setDisplacementValue(Object displacement) {
        if (displacement != null) {
            displacementField.setValue(displacement);
        }
    }

    public int getFuelTankCapacityValue() {
        return Integer.parseInt(fuelTankCapacityField.getValue().toString());
    }

    public void setFuelTankCapacityValue(Object fuelTankCapacity) {
        if (fuelTankCapacity != null) {
            fuelTankCapacityField.setValue(fuelTankCapacity);
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        horsepowerLabel = new javax.swing.JLabel();
        horsepowerField = new javax.swing.JSpinner();
        displacementLabel = new javax.swing.JLabel();
        displacementField = new javax.swing.JSpinner();
        fuelTankCapacityLabel = new javax.swing.JLabel();
        fuelTankCapacityField = new javax.swing.JSpinner();

        org.openide.awt.Mnemonics.setLocalizedText(horsepowerLabel, org.openide.util.NbBundle.getMessage(VehicleVisualPanel2.class, "VehicleVisualPanel2.horsepowerLabel.text")); // NOI18N

        horsepowerField.setModel(new javax.swing.SpinnerNumberModel());

        org.openide.awt.Mnemonics.setLocalizedText(displacementLabel, org.openide.util.NbBundle.getMessage(VehicleVisualPanel2.class, "VehicleVisualPanel2.displacementLabel.text")); // NOI18N

        displacementField.setModel(new javax.swing.SpinnerNumberModel(Double.valueOf(0.0d), null, null, Double.valueOf(0.1d)));

        org.openide.awt.Mnemonics.setLocalizedText(fuelTankCapacityLabel, org.openide.util.NbBundle.getMessage(VehicleVisualPanel2.class, "VehicleVisualPanel2.fuelTankCapacityLabel.text")); // NOI18N

        fuelTankCapacityField.setModel(new javax.swing.SpinnerNumberModel());

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(fuelTankCapacityLabel)
                    .addComponent(displacementLabel)
                    .addComponent(horsepowerLabel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(horsepowerField, javax.swing.GroupLayout.DEFAULT_SIZE, 68, Short.MAX_VALUE)
                    .addComponent(displacementField)
                    .addComponent(fuelTankCapacityField))
                .addContainerGap(179, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(horsepowerLabel)
                    .addComponent(horsepowerField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(displacementLabel)
                    .addComponent(displacementField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(fuelTankCapacityLabel)
                    .addComponent(fuelTankCapacityField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(198, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JSpinner displacementField;
    private javax.swing.JLabel displacementLabel;
    private javax.swing.JSpinner fuelTankCapacityField;
    private javax.swing.JLabel fuelTankCapacityLabel;
    private javax.swing.JSpinner horsepowerField;
    private javax.swing.JLabel horsepowerLabel;
    // End of variables declaration//GEN-END:variables
}
